Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.navigator
Class Navigator

    java.lang.Object
      com.tonbeller.wcf.component.ComponentSupport
          com.tonbeller.jpivot.navigator.Navigator

All Implemented Interfaces:
  ModelChangeListener, Available, com.tonbeller.wcf.bookmarks.Bookmarkable, com.tonbeller.wcf.component.Component, com.tonbeller.wcf.component.Form, com.tonbeller.wcf.component.FormListener, com.tonbeller.wcf.component.LifeCycle, com.tonbeller.wcf.component.Renderable, com.tonbeller.wcf.component.RoleExprHolder, com.tonbeller.wcf.component.Visible, com.tonbeller.wcf.controller.RequestListener, java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

    public class Navigator

extends com.tonbeller.wcf.component.ComponentSupport
implements ModelChangeListener, Available

Root Component, contains MemberNavigator and HierarchyNavigator. Coordinates the activities between MemberNavigator and HierarchyNavigator (GOF Director pattern).

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`Navigator(java.lang.String id, com.tonbeller.wcf.component.Component parent, OlapModel olapModel)`

Method Summary
`protected HierarchyItemClickHandler` | `createHierarchyItemClickHandler()` factory method that allows derived classes to install their own handlers
`protected com.tonbeller.wcf.controller.RequestListener` | `createMemberNavAcceptHandler()` factory method that allows derived classes to install their own handlers
`protected com.tonbeller.wcf.controller.RequestListener` | `createMemberNavCancelHandler()` factory method that allows derived classes to install their own handlers
`void` | `destroy(javax.servlet.http.HttpSession session)` lifecycle
`HierarchyNavigator` | `getHierarchyNav()`
`MemberNavigator` | `getMemberNav()`
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context)` lifecycle
`boolean` | `isAvailable()` return true, if this component currently can be used
`boolean` | `isVisible()` Returns the visible.
`void` | `modelChanged(ModelChangeEvent e)` model data have changed, e.g. user has navigated
`org.w3c.dom.Document` | `render(com.tonbeller.wcf.controller.RequestContext context)`
`void` | `setVisible(boolean visible)` Sets the visible.
`void` | `show(com.tonbeller.wcf.component.Component component)` sets component to visible
`void` | `structureChanged(ModelChangeEvent e)` major change, e.g. extensions added/removed

Methods inherited from class com.tonbeller.wcf.component.ComponentSupport
`addFormListener, getBookmarkState, getDispatcher, getForm, getId, getLocale, getNextView, getParent, getRoleExpr, isAutoValidate, isListeningTo, removeFormListener, request, revert, setAutoValidate, setBookmarkState, setId, setNextView, setParent, setRoleExpr, validate, valueBound, valueUnbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Navigator

    public Navigator(java.lang.String id,
                     com.tonbeller.wcf.component.Component parent,
                     OlapModel olapModel)

Method Detail

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context)
                    throws java.lang.Exception

  lifecycle

  Specified by:
    `initialize` in interface `com.tonbeller.wcf.component.LifeCycle`
  Overrides:
    `initialize` in class `com.tonbeller.wcf.component.ComponentSupport`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy(javax.servlet.http.HttpSession session)
                 throws java.lang.Exception

  lifecycle

  Specified by:
    `destroy` in interface `com.tonbeller.wcf.component.LifeCycle`
  Overrides:
    `destroy` in class `com.tonbeller.wcf.component.ComponentSupport`
  Throws:
    `java.lang.Exception`

### render

    public org.w3c.dom.Document render(com.tonbeller.wcf.controller.RequestContext context)
                                throws java.lang.Exception

  Specified by:
    `render` in interface `com.tonbeller.wcf.component.Renderable`
  Throws:
    `java.lang.Exception`

### show

    public void show(com.tonbeller.wcf.component.Component component)

  sets component to visible

### createMemberNavAcceptHandler

    protected com.tonbeller.wcf.controller.RequestListener createMemberNavAcceptHandler()

  factory method that allows derived classes to install their own handlers

### createHierarchyItemClickHandler

    protected HierarchyItemClickHandler createHierarchyItemClickHandler()

  factory method that allows derived classes to install their own handlers

### createMemberNavCancelHandler

    protected com.tonbeller.wcf.controller.RequestListener createMemberNavCancelHandler()

  factory method that allows derived classes to install their own handlers

### isVisible

    public boolean isVisible()

  Returns the visible.

  Specified by:
    `isVisible` in interface `com.tonbeller.wcf.component.Visible`
  Overrides:
    `isVisible` in class `com.tonbeller.wcf.component.ComponentSupport`
  Returns:
    boolean

### setVisible

    public void setVisible(boolean visible)

  Sets the visible.

  Specified by:
    `setVisible` in interface `com.tonbeller.wcf.component.Visible`
  Overrides:
    `setVisible` in class `com.tonbeller.wcf.component.ComponentSupport`
  Parameters:
    `visible` - The visible to set

### modelChanged

    public void modelChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  model data have changed, e.g. user has navigated

  Specified by:
    `modelChanged` in interface `ModelChangeListener`

### structureChanged

    public void structureChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  major change, e.g. extensions added/removed

  Specified by:
    `structureChanged` in interface `ModelChangeListener`

### getHierarchyNav

    public HierarchyNavigator getHierarchyNav()

### getMemberNav

    public MemberNavigator getMemberNav()

### isAvailable

    public boolean isAvailable()

  Description copied from interface: `Available`
  return true, if this component currently can be used

  Specified by:
    `isAvailable` in interface `Available`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD